GET /v1/executions/{id}/events
Get events for an execution
GET
/v1/executions/{id}/events
Get events for an execution
Path Parameters
id
string
required
path
Execution ID
Responses
200
OK
application/jsoncode
integer
data
object[]
Array of:
createdAt
string
data
object
eventType
string
executionId
string
id
string
level
string
message
string
nodeId
string
organizationId
string
requestId
string
runId
string
title
string
workflowId
string
message
string
requestId
string
400
Bad Request
curl -X GET 'https://api.example.com/v1/executions/string/events' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/executions/string/events', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/executions/string/events', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/executions/string/events", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": [ { "createdAt": "<string>", "data": "<object>", "eventType": "<string>", "executionId": "<string>", "id": "<string>", "level": "<string>", "message": "<string>", "nodeId": "<string>", "organizationId": "<string>", "requestId": "<string>", "runId": "<string>", "title": "<string>", "workflowId": "<string>" } ], "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/executions/{id}/events
